#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x95,0x3B,0x9C,0xE5,0xBD,0xBC,0xBE,0x0A,0x97,0xFE,0xC7,0x0B,
		0x0A,0x9C,0x26,0xD6,0xAF,0xC5,0x6B,0x43,0x88,0x41,0x91,0x40,
		0x8D,0x96,0xD7,0x87,0x8B,0x30,0xFD,0xFE,0xAD,0xC9,0x63,0x7E,
		0x1A,0x2E,0x43,0xC7,0x36,0x55,0x4A,0xC6,0xF3,0xC2,0x4A,0x2D,
		0xE8,0x7B,0x6A,0x63,0xB1,0xFC,0x34,0x5F,0x71,0xFC,0x72,0xE1,
		0x4B,0x7F,0xE9,0x3B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
